using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Services.Interfaces
{
    public interface ILogService<TEntity> 
        where TEntity : class
    {
        Task Create(TEntity input);
        Task<PagingResultDto<TEntity>> GetAll(PagingInputDto pagingInputDto);
    }
}
